Bug 90166 - Update port: sysutils/boxbackup - General cleanup of port
Update port: sysutils/boxbackup - General cleanup of port
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: lawrance
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-10 00:00 UTC by James O'Gorman
Modified: 2005-12-14 13:40 UTC (History)
0 users

See Also:


Attachments
file.diff (9.18 KB, patch)
2005-12-10 00:00 UTC, James O'Gorman
no flags Details | Diff
boxbackup.diff (9.38 KB, patch)
2005-12-13 19:07 UTC, James O'Gorman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James O'Gorman 2005-12-10 00:00:17 UTC
	General cleanup of the port:
	- Fix USE_RC_SUBR to use bb{ackup,store}d.sh.in
	- Rename files/bb{ackup,store}d.sh as above to .sh.in
	- Remove unncessary CONFLICTS (people can install client/server
	  separately if they really want to...)
	- Add SHA256
	- OPTIONSify
	- Cleanup of whitespace
	- Bump PORTREVISION

Fix: Apply following patch:
Comment 1 lawrance freebsd_committer 2005-12-12 00:20:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take
Comment 2 lawrance freebsd_committer 2005-12-12 00:57:24 UTC
State Changed
From-To: open->feedback

Wouldn't the default package (boxbackup-server), which installs 
the client and the server, still conflict with boxbackup-client?
Comment 3 James O'Gorman 2005-12-13 19:07:21 UTC
Sorry - forgot to make clean before I generated the diff!

Many apologies.

On 13/12/05 04:06, Sam Lawrance wrote:
> On 13/12/2005, at 4:51 AM, James O'Gorman wrote:
>> Do you think I should put the CONFLICTS back anyway?
> 
> Yes, I think it would be a good idea.
Comment 4 linimon 2005-12-13 21:14:12 UTC
To submitter: please resend your patch and exclude the work/ directory.
By including it, it added several tens of thousands of lines to the diff,
which spamassassin rejected.

Also, please do not use Content-Transfer-Encoding: quoted-printable; it
renders diff completely useless.
Comment 5 James O'Gorman 2005-12-13 21:19:12 UTC
Hi Mark,

On 13/12/05 21:14, Mark Linimon wrote:
> To submitter: please resend your patch and exclude the work/ directory.
> By including it, it added several tens of thousands of lines to the diff,
> which spamassassin rejected.
> 
> Also, please do not use Content-Transfer-Encoding: quoted-printable; it
> renders diff completely useless.

Sorry about that, I was in a bit of a hurry. I've already resubmitted 
the patch.

Thanks,

James
Comment 6 lawrance freebsd_committer 2005-12-14 13:40:27 UTC
State Changed
From-To: feedback->closed

Committed with some minor changes.  Thanks!